/*
 * KlientGUI.java
 *
 * Created on 12. bezen 2005, 23:09
 */

package net.inteligentni.vyhled2.klient;

import java.net.URL;
import java.rmi.Naming;
import java.rmi.RemoteException;
import java.util.Date;
import java.util.LinkedList;
import javax.help.HelpBroker;
import javax.help.HelpSet;
import javax.swing.ListSelectionModel;
import javax.swing.event.HyperlinkEvent.EventType;
import net.inteligentni.vyhled2.KlientRozhrani;
import net.inteligentni.vyhled2.KontaktHlavicka;
import net.inteligentni.vyhled2.KontaktTelo;
import net.inteligentni.vyhled2.Login;
import net.inteligentni.vyhled2.ServerRozhrani;
import net.inteligentni.vyhled2.VyhledDnes;
import net.inteligentni.vyhled2.VyjimkaKriticka;
import net.inteligentni.vyhled2.ZpravaHlavicka;
import net.inteligentni.vyhled2.ZpravaTelo;

/**
 *
 * @author  fiki
 */
public class KlientGUI extends javax.swing.JFrame {
    
    private int klic = 0;
    private VyhledDnes vyhledDnes;
    private Login login = new Login();
    private ZastupceKlienta zastupceKlienta;
    private ServerRozhrani server;
    private String loginServer;
    
    
    //Npovda
    URL helpURL;
    HelpSet helpSet;
    HelpBroker broker;
    
    //Datov objekty
    private ModelZpravyDorucene modelZpravyDorucene = new ModelZpravyDorucene();
    private ModelZpravyOdeslane modelZpravyOdeslane = new ModelZpravyOdeslane();
    private ModelKontakty modelKontakty = new ModelKontakty();
    private ModelKontakty modelKontaktyHledat = new ModelKontakty();
    
    
    
    
    /** Creates new form KlientGUI */
    public KlientGUI() {
        
        initComponents();
        
        //vytvome ouka panel
        tabPanel.addTab("Dnes", new javax.swing.ImageIcon(getClass().getResource("/net/inteligentni/vyhled2/klient/obrazky/kfm_home.png")), panelDnes, "Souhrn");
        tabPanel.addTab("Pota", new javax.swing.ImageIcon(getClass().getResource("/net/inteligentni/vyhled2/klient/obrazky/mail_generic.png")), panelPosta, "Vae zprvy");
        //tabPanel.addTab("Kalend", new javax.swing.ImageIcon(getClass().getResource("/net/inteligentni/vyhled2/klient/obrazky/clock.png")), panelKalendar, "V kalend");
        tabPanel.addTab("Kontakty", new javax.swing.ImageIcon(getClass().getResource("/net/inteligentni/vyhled2/klient/obrazky/identity.png")), panelKontakty, "Vae kontakty");
        //tabPanel.addTab("Lid", new javax.swing.ImageIcon(getClass().getResource("/net/inteligentni/vyhled2/klient/obrazky/package_toys.png")), panelLide, "Pipojen kamardi");
        
        //Nastavme velikost okna
        setSizeVychozi();
        this.setIconImage(new javax.swing.ImageIcon(getClass().getResource("/net/inteligentni/vyhled2/klient/obrazky/blockdevice16.png")).getImage());
        
        //nastavme reim vbru tabulek
        tabulkaZpravy1Dorucene.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
        tabulkaZpravyOdeslane.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
        tabulkaKontakty.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
        tabulkaKontaktyHledat.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
        
        tabulkaZpravy1Dorucene.getColumnModel().getColumn(0).setMaxWidth(20);
        tabulkaZpravyOdeslane.getColumnModel().getColumn(0).setMaxWidth(20);
        tabulkaKontakty.getColumnModel().getColumn(0).setMaxWidth(20);
        tabulkaKontaktyHledat.getColumnModel().getColumn(0).setMaxWidth(20);
        
        //Nateme npovdu
        try {
            //helpURL = new URL("file://napoveda/helpset.hs");
            helpURL = getClass().getResource("/net/inteligentni/vyhled2/klient/napoveda/helpset.hs");
            helpSet = new HelpSet(null,helpURL);
            
            
        } catch (Exception e) {
            
            System.out.println("Cyba npovdy: " + e);
        }
        broker = helpSet.createHelpBroker();
        
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    private void initComponents() {//GEN-BEGIN:initComponents
        panelDnes = new javax.swing.JPanel();
        scrollDnes = new javax.swing.JScrollPane();
        htmlDnes = new javax.swing.JEditorPane();
        panelPosta = new javax.swing.JPanel();
        tabPanelPosta = new javax.swing.JTabbedPane();
        panelPostaDorucena = new javax.swing.JPanel();
        scrollDorucena = new javax.swing.JScrollPane();
        tabulkaZpravy1Dorucene = new javax.swing.JTable();
        tabPanelPostaDorucenaMenu = new javax.swing.JPanel();
        tabPanelPostaDorucenaMenuBar = new javax.swing.JToolBar();
        tlacitkoCistDorucenouZpravu1 = new javax.swing.JButton();
        tlacitkoSmazatDorucenouZpravu = new javax.swing.JButton();
        panelPostaOdeslana = new javax.swing.JPanel();
        scrollOdeslana = new javax.swing.JScrollPane();
        tabulkaZpravyOdeslane = new javax.swing.JTable();
        jPanel3 = new javax.swing.JPanel();
        jToolBar1 = new javax.swing.JToolBar();
        tlacitkoPrecistOdeslanou = new javax.swing.JButton();
        tlacitkoSmazatOdeslanou = new javax.swing.JButton();
        panelPostaNapsatNovou = new javax.swing.JPanel();
        jScrollPane3 = new javax.swing.JScrollPane();
        textNoveZpravy = new javax.swing.JTextArea();
        panelPostaNapsatNovouNahore = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        textNovaZpravaKomu = new javax.swing.JTextField();
        textNovaZpravaPredmet = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();
        tlacitkoNovaZpravaOdeslat = new javax.swing.JButton();
        panelKontakty = new javax.swing.JPanel();
        tabPanelKontakty = new javax.swing.JTabbedPane();
        panelKontakySeznam = new javax.swing.JPanel();
        scrollKontaktySeznam = new javax.swing.JScrollPane();
        tabulkaKontakty = new javax.swing.JTable();
        jPanel1 = new javax.swing.JPanel();
        jToolBar2 = new javax.swing.JToolBar();
        tlacitkoSmazatKontakt = new javax.swing.JButton();
        panelKontakyHledat = new javax.swing.JPanel();
        toolbarKontaktyHledat = new javax.swing.JToolBar();
        vstupKontaktyHledat = new javax.swing.JTextField();
        tlacitkoKontaktyHledat = new javax.swing.JButton();
        labelKontaktyHledat = new javax.swing.JLabel();
        scrollKontaktyHledat = new javax.swing.JScrollPane();
        tabulkaKontaktyHledat = new javax.swing.JTable();
        panelKontakyNovy = new javax.swing.JPanel();
        textNovyKontaktKrestni = new javax.swing.JTextField();
        textNovyKontaktProstredni = new javax.swing.JTextField();
        textNovyKontaktPrijmeni = new javax.swing.JTextField();
        textNovyKontaktTelefon = new javax.swing.JTextField();
        textNovyKontaktLogin = new javax.swing.JTextField();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        tlacitkoNovyKontakt = new javax.swing.JButton();
        panelLide = new javax.swing.JPanel();
        panelKalendar = new javax.swing.JPanel();
        popupOkno = new javax.swing.JPopupMenu();
        popupOknoVychoziVelikost = new javax.swing.JMenuItem();
        jSeparator1 = new javax.swing.JSeparator();
        popupOknoMenuNahore = new javax.swing.JMenuItem();
        popupOknoMenuVlevo = new javax.swing.JMenuItem();
        jSeparator2 = new javax.swing.JSeparator();
        popupOknoNapoveda = new javax.swing.JMenuItem();
        popupPostaZalozky = new javax.swing.JPopupMenu();
        popupPostaZalozkyNahore = new javax.swing.JMenuItem();
        popupPostaZalozkyVlevo = new javax.swing.JMenuItem();
        popupKontaktyZalozky = new javax.swing.JPopupMenu();
        popupKontaktyZalozkyNahore = new javax.swing.JMenuItem();
        popupKontaktyZalozkyVlevo = new javax.swing.JMenuItem();
        chyboveOkno = new javax.swing.JFrame();
        chyboveOknoIkona = new javax.swing.JLabel();
        jScrollPane1 = new javax.swing.JScrollPane();
        chyboveOknoText = new javax.swing.JTextArea();
        chyboveOknoBudiz = new javax.swing.JButton();
        jLabel2 = new javax.swing.JLabel();
        cteciOknoZpravy = new javax.swing.JFrame();
        jPanel2 = new javax.swing.JPanel();
        cteciOknoZpravyOdesilatel = new javax.swing.JLabel();
        cteciOknoZpravyPrijemce = new javax.swing.JLabel();
        cteciOknoZpravyDatum = new javax.swing.JLabel();
        jScrollPane2 = new javax.swing.JScrollPane();
        cteciOknoZpravyText = new javax.swing.JTextArea();
        tabPanel = new javax.swing.JTabbedPane();
        panelDolniLista = new javax.swing.JPanel();
        toolBarDolniLista = new javax.swing.JToolBar();
        dolniLista = new javax.swing.JLabel();

        panelDnes.setLayout(new java.awt.BorderLayout());

        htmlDnes.setEditable(false);
        htmlDnes.setContentType("text/html");
        htmlDnes.addHyperlinkListener(new javax.swing.event.HyperlinkListener() {
            public void hyperlinkUpdate(javax.swing.event.HyperlinkEvent evt) {
                htmlDnesHyperlinkUpdate(evt);
            }
        });

        scrollDnes.setViewportView(htmlDnes);

        panelDnes.add(scrollDnes, java.awt.BorderLayout.CENTER);

        panelPosta.setLayout(new java.awt.BorderLayout());

        tabPanelPosta.setComponentPopupMenu(popupPostaZalozky);
        tabPanelPosta.setFocusable(false);
        tabPanelPosta.setRequestFocusEnabled(false);
        panelPostaDorucena.setLayout(new java.awt.BorderLayout());

        tabulkaZpravy1Dorucene.setModel(modelZpravyDorucene);
        scrollDorucena.setViewportView(tabulkaZpravy1Dorucene);

        panelPostaDorucena.add(scrollDorucena, java.awt.BorderLayout.CENTER);

        tabPanelPostaDorucenaMenu.setLayout(new java.awt.BorderLayout());

        tabPanelPostaDorucenaMenuBar.setFloatable(false);
        tlacitkoCistDorucenouZpravu1.setText("P\u0159e\u010d\u00edst zpr\u00e1vu");
        tlacitkoCistDorucenouZpravu1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tlacitkoCistDorucenouZpravu1ActionPerformed(evt);
            }
        });

        tabPanelPostaDorucenaMenuBar.add(tlacitkoCistDorucenouZpravu1);

        tlacitkoSmazatDorucenouZpravu.setText("Smazat zpr\u00e1vu");
        tlacitkoSmazatDorucenouZpravu.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tlacitkoSmazatDorucenouZpravuActionPerformed(evt);
            }
        });

        tabPanelPostaDorucenaMenuBar.add(tlacitkoSmazatDorucenouZpravu);

        tabPanelPostaDorucenaMenu.add(tabPanelPostaDorucenaMenuBar, java.awt.BorderLayout.CENTER);

        panelPostaDorucena.add(tabPanelPostaDorucenaMenu, java.awt.BorderLayout.NORTH);

        tabPanelPosta.addTab("Doru\u010den\u00e1", new javax.swing.ImageIcon(getClass().getResource("/net/inteligentni/vyhled2/klient/obrazky/mail_get16.png")), panelPostaDorucena, "Doru\u010den\u00e1 po\u0161ta");

        panelPostaOdeslana.setLayout(new java.awt.BorderLayout());

        tabulkaZpravyOdeslane.setModel(modelZpravyOdeslane);
        scrollOdeslana.setViewportView(tabulkaZpravyOdeslane);

        panelPostaOdeslana.add(scrollOdeslana, java.awt.BorderLayout.CENTER);

        jPanel3.setLayout(new java.awt.BorderLayout());

        jToolBar1.setFloatable(false);
        tlacitkoPrecistOdeslanou.setText("P\u0159e\u010d\u00edst zpr\u00e1vu");
        tlacitkoPrecistOdeslanou.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tlacitkoPrecistOdeslanouActionPerformed(evt);
            }
        });

        jToolBar1.add(tlacitkoPrecistOdeslanou);

        tlacitkoSmazatOdeslanou.setText("Smazat zpr\u00e1vu");
        tlacitkoSmazatOdeslanou.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tlacitkoSmazatOdeslanouActionPerformed(evt);
            }
        });

        jToolBar1.add(tlacitkoSmazatOdeslanou);

        jPanel3.add(jToolBar1, java.awt.BorderLayout.CENTER);

        panelPostaOdeslana.add(jPanel3, java.awt.BorderLayout.NORTH);

        tabPanelPosta.addTab("Odeslan\u00e1", new javax.swing.ImageIcon(getClass().getResource("/net/inteligentni/vyhled2/klient/obrazky/mail_send16.png")), panelPostaOdeslana, "Odeslan\u00e1 po\u0161ta");

        panelPostaNapsatNovou.setLayout(new java.awt.BorderLayout());

        jScrollPane3.setViewportView(textNoveZpravy);

        panelPostaNapsatNovou.add(jScrollPane3, java.awt.BorderLayout.CENTER);

        panelPostaNapsatNovouNahore.setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        jLabel1.setText("Komu:");
        panelPostaNapsatNovouNahore.add(jLabel1, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 0, -1, 20));

        jLabel3.setText("P\u0159edm\u011bt:");
        panelPostaNapsatNovouNahore.add(jLabel3, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 20, -1, 20));

        panelPostaNapsatNovouNahore.add(textNovaZpravaKomu, new org.netbeans.lib.awtextra.AbsoluteConstraints(60, 0, 200, 20));

        panelPostaNapsatNovouNahore.add(textNovaZpravaPredmet, new org.netbeans.lib.awtextra.AbsoluteConstraints(60, 20, 200, -1));

        panelPostaNapsatNovouNahore.add(jLabel4, new org.netbeans.lib.awtextra.AbsoluteConstraints(120, 25, 150, 20));

        tlacitkoNovaZpravaOdeslat.setText("Odeslat");
        tlacitkoNovaZpravaOdeslat.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tlacitkoNovaZpravaOdeslatActionPerformed(evt);
            }
        });

        panelPostaNapsatNovouNahore.add(tlacitkoNovaZpravaOdeslat, new org.netbeans.lib.awtextra.AbsoluteConstraints(270, 0, 110, 40));

        panelPostaNapsatNovou.add(panelPostaNapsatNovouNahore, java.awt.BorderLayout.NORTH);

        tabPanelPosta.addTab("Poslat", new javax.swing.ImageIcon(getClass().getResource("/net/inteligentni/vyhled2/klient/obrazky/mail_new16.png")), panelPostaNapsatNovou, "Nov\u00e1 zpr\u00e1va");

        panelPosta.add(tabPanelPosta, java.awt.BorderLayout.CENTER);

        panelKontakty.setLayout(new java.awt.BorderLayout());

        tabPanelKontakty.setComponentPopupMenu(popupKontaktyZalozky);
        tabPanelKontakty.setTabLayoutPolicy(javax.swing.JTabbedPane.SCROLL_TAB_LAYOUT);
        tabPanelKontakty.setFocusable(false);
        tabPanelKontakty.setRequestFocusEnabled(false);
        panelKontakySeznam.setLayout(new java.awt.BorderLayout());

        tabulkaKontakty.setModel(modelKontakty);
        scrollKontaktySeznam.setViewportView(tabulkaKontakty);

        panelKontakySeznam.add(scrollKontaktySeznam, java.awt.BorderLayout.CENTER);

        jPanel1.setLayout(new java.awt.BorderLayout());

        jToolBar2.setFloatable(false);
        tlacitkoSmazatKontakt.setText("Smazat kontakt");
        tlacitkoSmazatKontakt.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tlacitkoSmazatKontaktActionPerformed(evt);
            }
        });

        jToolBar2.add(tlacitkoSmazatKontakt);

        jPanel1.add(jToolBar2, java.awt.BorderLayout.CENTER);

        panelKontakySeznam.add(jPanel1, java.awt.BorderLayout.NORTH);

        tabPanelKontakty.addTab("Seznam", new javax.swing.ImageIcon(getClass().getResource("/net/inteligentni/vyhled2/klient/obrazky/identity16.png")), panelKontakySeznam, "V\u0161echny va\u0161e kontakty");

        panelKontakyHledat.setLayout(new javax.swing.BoxLayout(panelKontakyHledat, javax.swing.BoxLayout.Y_AXIS));

        toolbarKontaktyHledat.setFloatable(false);
        toolbarKontaktyHledat.setMaximumSize(new java.awt.Dimension(2147483647, 31));
        toolbarKontaktyHledat.setMinimumSize(new java.awt.Dimension(60, 31));
        toolbarKontaktyHledat.setPreferredSize(new java.awt.Dimension(60, 31));
        vstupKontaktyHledat.setMaximumSize(null);
        vstupKontaktyHledat.setMinimumSize(null);
        vstupKontaktyHledat.setPreferredSize(null);
        toolbarKontaktyHledat.add(vstupKontaktyHledat);

        tlacitkoKontaktyHledat.setText("Hledat");
        tlacitkoKontaktyHledat.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tlacitkoKontaktyHledatActionPerformed(evt);
            }
        });

        toolbarKontaktyHledat.add(tlacitkoKontaktyHledat);

        labelKontaktyHledat.setText("               ");
        toolbarKontaktyHledat.add(labelKontaktyHledat);

        panelKontakyHledat.add(toolbarKontaktyHledat);

        tabulkaKontaktyHledat.setModel(modelKontaktyHledat);
        scrollKontaktyHledat.setViewportView(tabulkaKontaktyHledat);

        panelKontakyHledat.add(scrollKontaktyHledat);

        tabPanelKontakty.addTab("Hledat", new javax.swing.ImageIcon(getClass().getResource("/net/inteligentni/vyhled2/klient/obrazky/viewmag16.png")), panelKontakyHledat, "Hledat osobu");

        panelKontakyNovy.setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        textNovyKontaktKrestni.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                textNovyKontaktKrestniActionPerformed(evt);
            }
        });

        panelKontakyNovy.add(textNovyKontaktKrestni, new org.netbeans.lib.awtextra.AbsoluteConstraints(130, 10, 140, -1));

        panelKontakyNovy.add(textNovyKontaktProstredni, new org.netbeans.lib.awtextra.AbsoluteConstraints(130, 30, 140, -1));

        panelKontakyNovy.add(textNovyKontaktPrijmeni, new org.netbeans.lib.awtextra.AbsoluteConstraints(130, 50, 140, -1));

        panelKontakyNovy.add(textNovyKontaktTelefon, new org.netbeans.lib.awtextra.AbsoluteConstraints(130, 90, 140, -1));

        panelKontakyNovy.add(textNovyKontaktLogin, new org.netbeans.lib.awtextra.AbsoluteConstraints(130, 70, 140, -1));

        jLabel5.setText("K\u0159estn\u00ed jm\u00e9no:");
        panelKontakyNovy.add(jLabel5, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 10, -1, -1));

        jLabel6.setText("Prost\u0159edn\u00ed jm\u00e9no:");
        panelKontakyNovy.add(jLabel6, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 30, -1, -1));

        jLabel7.setText("P\u0159\u00edjmen\u00ed:");
        panelKontakyNovy.add(jLabel7, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 50, -1, -1));

        jLabel8.setText("Login:");
        panelKontakyNovy.add(jLabel8, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 70, -1, -1));

        jLabel9.setText("Telefon:");
        panelKontakyNovy.add(jLabel9, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 90, 50, -1));

        panelKontakyNovy.add(jLabel10, new org.netbeans.lib.awtextra.AbsoluteConstraints(90, 90, 190, 60));

        tlacitkoNovyKontakt.setText("Ulo\u017eit");
        tlacitkoNovyKontakt.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tlacitkoNovyKontaktActionPerformed(evt);
            }
        });

        panelKontakyNovy.add(tlacitkoNovyKontakt, new org.netbeans.lib.awtextra.AbsoluteConstraints(131, 120, 140, -1));

        tabPanelKontakty.addTab("Nov\u00fd", new javax.swing.ImageIcon(getClass().getResource("/net/inteligentni/vyhled2/klient/obrazky/bookmark16.png")), panelKontakyNovy, "Vytvo\u0159it kontakt");

        panelKontakty.add(tabPanelKontakty, java.awt.BorderLayout.CENTER);

        popupOknoVychoziVelikost.setText("V\u00fdchoz\u00ed velikost okna");
        popupOknoVychoziVelikost.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                popupOknoVychoziVelikostActionPerformed(evt);
            }
        });

        popupOkno.add(popupOknoVychoziVelikost);

        popupOkno.add(jSeparator1);

        popupOknoMenuNahore.setText("Z\u00e1lo\u017eky naho\u0159e");
        popupOknoMenuNahore.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                popupOknoMenuNahoreActionPerformed(evt);
            }
        });

        popupOkno.add(popupOknoMenuNahore);

        popupOknoMenuVlevo.setText("Z\u00e1lo\u017eky vlevo");
        popupOknoMenuVlevo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                popupOknoMenuVlevoActionPerformed(evt);
            }
        });

        popupOkno.add(popupOknoMenuVlevo);

        popupOkno.add(jSeparator2);

        popupOknoNapoveda.setText("N\u00e1pov\u011bda");
        popupOknoNapoveda.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                popupOknoNapovedaActionPerformed(evt);
            }
        });

        popupOkno.add(popupOknoNapoveda);

        popupPostaZalozkyNahore.setText("Z\u00e1lo\u017eky naho\u0159e");
        popupPostaZalozkyNahore.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                popupPostaZalozkyNahoreActionPerformed(evt);
            }
        });

        popupPostaZalozky.add(popupPostaZalozkyNahore);

        popupPostaZalozkyVlevo.setText("Z\u00e1lo\u017eky vlevo");
        popupPostaZalozkyVlevo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                popupPostaZalozkyVlevoActionPerformed(evt);
            }
        });

        popupPostaZalozky.add(popupPostaZalozkyVlevo);

        popupKontaktyZalozkyNahore.setText("Z\u00e1lo\u017eky naho\u0159e");
        popupKontaktyZalozkyNahore.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                popupKontaktyZalozkyNahoreActionPerformed(evt);
            }
        });

        popupKontaktyZalozky.add(popupKontaktyZalozkyNahore);

        popupKontaktyZalozkyVlevo.setText("Z\u00e1lo\u017eky vlevo");
        popupKontaktyZalozkyVlevo.setToolTipText("");
        popupKontaktyZalozkyVlevo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                popupKontaktyZalozkyVlevoActionPerformed(evt);
            }
        });

        popupKontaktyZalozky.add(popupKontaktyZalozkyVlevo);

        chyboveOkno.getContentPane().setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        chyboveOkno.setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
        chyboveOkno.setTitle("Chyba");
        chyboveOkno.setAlwaysOnTop(true);
        chyboveOkno.setResizable(false);
        chyboveOknoIkona.setIcon(new javax.swing.ImageIcon(getClass().getResource("/net/inteligentni/vyhled2/klient/obrazky/messagebox_critical.png")));
        chyboveOkno.getContentPane().add(chyboveOknoIkona, new org.netbeans.lib.awtextra.AbsoluteConstraints(20, 20, 380, 110));

        chyboveOknoText.setEditable(false);
        jScrollPane1.setViewportView(chyboveOknoText);

        chyboveOkno.getContentPane().add(jScrollPane1, new org.netbeans.lib.awtextra.AbsoluteConstraints(73, 20, 310, 110));

        chyboveOknoBudiz.setText("Budi\u017e");
        chyboveOknoBudiz.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                chyboveOknoBudizActionPerformed(evt);
            }
        });

        chyboveOkno.getContentPane().add(chyboveOknoBudiz, new org.netbeans.lib.awtextra.AbsoluteConstraints(260, 140, 120, -1));

        chyboveOkno.getContentPane().add(jLabel2, new org.netbeans.lib.awtextra.AbsoluteConstraints(120, 160, 280, 20));

        cteciOknoZpravy.setTitle("\u010cten\u00ed zpr\u00e1vy");
        jPanel2.setLayout(new java.awt.GridLayout(3, 0));

        cteciOknoZpravyOdesilatel.setLabelFor(popupPostaZalozky);
        cteciOknoZpravyOdesilatel.setText("Od:");
        jPanel2.add(cteciOknoZpravyOdesilatel);

        cteciOknoZpravyPrijemce.setText("Komu:");
        jPanel2.add(cteciOknoZpravyPrijemce);

        cteciOknoZpravyDatum.setText("Datum:");
        jPanel2.add(cteciOknoZpravyDatum);

        cteciOknoZpravy.getContentPane().add(jPanel2, java.awt.BorderLayout.NORTH);

        cteciOknoZpravyText.setEditable(false);
        jScrollPane2.setViewportView(cteciOknoZpravyText);

        cteciOknoZpravy.getContentPane().add(jScrollPane2, java.awt.BorderLayout.CENTER);

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("V\u00fdhled");
        setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        tabPanel.setComponentPopupMenu(popupOkno);
        tabPanel.setTabLayoutPolicy(javax.swing.JTabbedPane.SCROLL_TAB_LAYOUT);
        tabPanel.setFocusable(false);
        tabPanel.setFont(new java.awt.Font("Dialog", 0, 12));
        tabPanel.setRequestFocusEnabled(false);
        getContentPane().add(tabPanel, java.awt.BorderLayout.CENTER);

        panelDolniLista.setLayout(new java.awt.BorderLayout());

        toolBarDolniLista.setFloatable(false);
        dolniLista.setText("...");
        toolBarDolniLista.add(dolniLista);

        panelDolniLista.add(toolBarDolniLista, java.awt.BorderLayout.CENTER);

        getContentPane().add(panelDolniLista, java.awt.BorderLayout.SOUTH);

        pack();
    }//GEN-END:initComponents
    
    private void popupOknoNapovedaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_popupOknoNapovedaActionPerformed
        try {
            broker.setDisplayed(true);
        } catch (Exception e) {
            System.out.println(e);
        }
    }//GEN-LAST:event_popupOknoNapovedaActionPerformed
    
    private void tlacitkoSmazatKontaktActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tlacitkoSmazatKontaktActionPerformed
        if (tabulkaKontakty.getSelectedRow() != -1) {
            try {
                server.smazKontakt(login, modelKontakty.getKontaktHlavicka(tabulkaKontakty.getSelectedRow()).getId());
                modelKontakty.smazKontakt(tabulkaKontakty.getSelectedRow());
                vypisNaDolniListu("Kontakt byl smazn");
            } catch (Exception e) {
                vypisChybuVarovani("Kontakt se nepodailo smazat: " + e.toString());
            }
        }
    }//GEN-LAST:event_tlacitkoSmazatKontaktActionPerformed
    
    private void tlacitkoNovyKontaktActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tlacitkoNovyKontaktActionPerformed
        KontaktHlavicka kh = new KontaktHlavicka();
        KontaktTelo kt = new KontaktTelo();
        
        kh.setJmenoKrestni(textNovyKontaktKrestni.getText());
        kh.setJmenoProstredni(textNovyKontaktProstredni.getText());
        kh.setJmenoPrijmeni(textNovyKontaktPrijmeni.getText());
        kh.setIdLogin(textNovyKontaktLogin.getText());
        kh.setTelefon(textNovyKontaktTelefon.getText());
        
        try {
            server.pridejKontakt(login, kh, kt);
            
            textNovyKontaktKrestni.setText("");
            textNovyKontaktProstredni.setText("");
            textNovyKontaktPrijmeni.setText("");
            textNovyKontaktLogin.setText("");
            textNovyKontaktTelefon.setText("");
            
            vypisNaDolniListu("Kontakt byl uloen");
            
        } catch (Exception e) {
            vypisChybuVarovani("Nepodailo se uloit kontakt: " + e);
            
        }
        
        
    }//GEN-LAST:event_tlacitkoNovyKontaktActionPerformed
    
    private void textNovyKontaktKrestniActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_textNovyKontaktKrestniActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_textNovyKontaktKrestniActionPerformed
    
    private void tlacitkoSmazatOdeslanouActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tlacitkoSmazatOdeslanouActionPerformed
        if (tabulkaZpravyOdeslane.getSelectedRow() != -1) {
            try {
                server.smazZpravu(login, modelZpravyOdeslane.getZpravaHlavicka(tabulkaZpravyOdeslane.getSelectedRow()).getId());
                modelZpravyOdeslane.smazZpravu(tabulkaZpravyOdeslane.getSelectedRow());
                vypisNaDolniListu("Zprva byla smazna");
            } catch (Exception e) {
                vypisChybuVarovani("Zprvu se nepodailo smazat: " + e.toString());
            }
        }
    }//GEN-LAST:event_tlacitkoSmazatOdeslanouActionPerformed
    
    private void tlacitkoPrecistOdeslanouActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tlacitkoPrecistOdeslanouActionPerformed
        if (tabulkaZpravyOdeslane.getSelectedRow() != -1) {
            ZpravaHlavicka zh = modelZpravyOdeslane.getZpravaHlavicka(tabulkaZpravyOdeslane.getSelectedRow());
            try {
                ZpravaTelo zt = server.getZpravaTelo(login, zh.getTeloZpravy());
                zobrazZpravu(zh.getOdesilatel(), zh.getPrijemce(), zh.getDatumVytvoreniNaServeru(), zt.getText());
            } catch (java.rmi.RemoteException e) {
                vypisChybuVarovani("Selhalo otevrn zprvy: " + e);
            } catch (VyjimkaKriticka e) {
                vypisChybuVarovani("Selhalo otevrn zprvy: " + e);
            }
        }
    }//GEN-LAST:event_tlacitkoPrecistOdeslanouActionPerformed
    
    private void tlacitkoNovaZpravaOdeslatActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tlacitkoNovaZpravaOdeslatActionPerformed
        boolean isKomuOK = false;
        
        try {
            isKomuOK = server.isKomuOK(login, textNovaZpravaKomu.getText());
        } catch (Exception e) {
            vypisChybuVarovani("Nepodailo se odeslat zprvu 1: " + e.toString());
        }
        
        if (isKomuOK) {
            try {
                
                ZpravaHlavicka zh = new ZpravaHlavicka();
                
                ZpravaTelo zt = new ZpravaTelo();
                
                
                zt.setText(textNoveZpravy.getText());
                
                zh.setDatumOdeslaniKlientem(System.currentTimeMillis());
                
                zh.setPredmet(textNovaZpravaPredmet.getText());
                
                zh.setPrijemce(textNovaZpravaKomu.getText());
                
                
                
                
                
                
                server.posliZpravu(login, zh, zt);
                
                
                
                textNoveZpravy.setText("");
                textNovaZpravaPredmet.setText("");
                textNovaZpravaKomu.setText("");
                vypisNaDolniListu("Zprva byla spn odeslna");
                
            } catch (RemoteException e) {
                vypisChybuVarovani("Nepodailo se odeslat zprvu 2: " + e.toString());
                
            } catch (VyjimkaKriticka e) {
                vypisChybuVarovani("Nepodailo se odeslat zprvu 3: " + e.toString());
                
            }
            
        } else {
            vypisChybuInfo("Adresa pjemce neexistuje, opravte ji prosm");
        }
    }//GEN-LAST:event_tlacitkoNovaZpravaOdeslatActionPerformed
    
    private void tlacitkoSmazatDorucenouZpravuActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tlacitkoSmazatDorucenouZpravuActionPerformed
        if (tabulkaZpravy1Dorucene.getSelectedRow() != -1) {
            try {
                server.smazZpravu(login, modelZpravyDorucene.getZpravaHlavicka(tabulkaZpravy1Dorucene.getSelectedRow()).getId());
                modelZpravyDorucene.smazZpravu(tabulkaZpravy1Dorucene.getSelectedRow());
                vypisNaDolniListu("Zprva byla smazna");
            } catch (Exception e) {
                vypisChybuVarovani("Zprvu se nepodailo smazat: " + e.toString());
            }
        }
    }//GEN-LAST:event_tlacitkoSmazatDorucenouZpravuActionPerformed
    
    private void tlacitkoCistDorucenouZpravu1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tlacitkoCistDorucenouZpravu1ActionPerformed
        if (tabulkaZpravy1Dorucene.getSelectedRow() != -1) {
            ZpravaHlavicka zh = modelZpravyDorucene.getZpravaHlavicka(tabulkaZpravy1Dorucene.getSelectedRow());
            try {
                ZpravaTelo zt = server.getZpravaTelo(login, zh.getTeloZpravy());
                zobrazZpravu(zh.getOdesilatel(), zh.getPrijemce(), zh.getDatumVytvoreniNaServeru(), zt.getText());
            } catch (java.rmi.RemoteException e) {
                vypisChybuVarovani("Selhalo otevrn zprvy: " + e);
            } catch (VyjimkaKriticka e) {
                vypisChybuVarovani("Selhalo otevrn zprvy: " + e);
            }
        }
    }//GEN-LAST:event_tlacitkoCistDorucenouZpravu1ActionPerformed
    
    private void tlacitkoKontaktyHledatActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tlacitkoKontaktyHledatActionPerformed
        try {
            server.hledejKontakt(login, vstupKontaktyHledat.getText());
        } catch (java.rmi.RemoteException e) {
            vypisChybuVarovani("Selhalo otevrn zprvy: " + e);
        } catch (VyjimkaKriticka e) {
            vypisChybuVarovani("Selhalo otevrn zprvy: " + e);
        }
        
    }//GEN-LAST:event_tlacitkoKontaktyHledatActionPerformed
    
    private void chyboveOknoBudizActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_chyboveOknoBudizActionPerformed
        // TODO add your handling code here:
        if (chyboveOkno.getDefaultCloseOperation() == EXIT_ON_CLOSE){
            
            System.exit(1);
        }
        
        chyboveOkno.setVisible(false);
        this.setEnabled(true);
        
    }//GEN-LAST:event_chyboveOknoBudizActionPerformed
    
    private void popupKontaktyZalozkyVlevoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_popupKontaktyZalozkyVlevoActionPerformed
        tabPanelKontakty.setTabPlacement(javax.swing.JTabbedPane.LEFT);
    }//GEN-LAST:event_popupKontaktyZalozkyVlevoActionPerformed
    
    private void popupKontaktyZalozkyNahoreActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_popupKontaktyZalozkyNahoreActionPerformed
        tabPanelKontakty.setTabPlacement(javax.swing.JTabbedPane.TOP);
    }//GEN-LAST:event_popupKontaktyZalozkyNahoreActionPerformed
    
    private void popupPostaZalozkyVlevoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_popupPostaZalozkyVlevoActionPerformed
        tabPanelPosta.setTabPlacement(javax.swing.JTabbedPane.LEFT);
    }//GEN-LAST:event_popupPostaZalozkyVlevoActionPerformed
    
    private void popupPostaZalozkyNahoreActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_popupPostaZalozkyNahoreActionPerformed
        tabPanelPosta.setTabPlacement(javax.swing.JTabbedPane.TOP);
    }//GEN-LAST:event_popupPostaZalozkyNahoreActionPerformed
    
    /** Metoda zajiuje pepnut na nprvnou zloku nebo proveden jin akce
     * po kliknut na odkaz na strnce VhledDnes
     */
    private void htmlDnesHyperlinkUpdate(javax.swing.event.HyperlinkEvent evt) {//GEN-FIRST:event_htmlDnesHyperlinkUpdate
        //System.out.println(evt.getEventType());
        //System.out.println(evt.getDescription());
        if (evt.getEventType() == EventType.ACTIVATED) {
            if(evt.getDescription().equals("vyhled:posta")) {
                tabPanel.setSelectedComponent(panelPosta);
            }
            //            if(evt.getDescription().equals("vyhled:kalendar")) {
            //                tabPanel.setSelectedComponent(panelKalendar);
            //            }
            if(evt.getDescription().equals("vyhled:kontakty")) {
                tabPanel.setSelectedComponent(panelKontakty);
            }
            //            if(evt.getDescription().equals("vyhled:lide")) {
            //                tabPanel.setSelectedComponent(panelLide);
            //            }
            
            if(evt.getDescription().equals("vyhled:napoveda")) {
                try {
                    broker.setDisplayed(true);
                } catch (Exception e) {
                    System.out.println(e);
                }
                
            }
            
        }
    }//GEN-LAST:event_htmlDnesHyperlinkUpdate
    
    private void popupOknoMenuVlevoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_popupOknoMenuVlevoActionPerformed
        tabPanel.setTabPlacement(javax.swing.JTabbedPane.LEFT);
    }//GEN-LAST:event_popupOknoMenuVlevoActionPerformed
    
    private void popupOknoMenuNahoreActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_popupOknoMenuNahoreActionPerformed
        tabPanel.setTabPlacement(javax.swing.JTabbedPane.TOP);
    }//GEN-LAST:event_popupOknoMenuNahoreActionPerformed
    
    private void popupOknoVychoziVelikostActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_popupOknoVychoziVelikostActionPerformed
        setSizeVychozi();
    }//GEN-LAST:event_popupOknoVychoziVelikostActionPerformed
    
    
    
    private void obnovDnes() {
        htmlDnes.setText(vyhledDnes.getHtml());
        //        try {
        //            //htmlDnes.setPage(getClass().getResource("/net/inteligentni/vyhled2/klient/html/nacitam.htm"));
        //            htmlDnes.setPage(getClass().getResource("/net/inteligentni/vyhled2/klient/html/dnes.htm"));
        //
        //        } catch (Exception e) {
        //            System.out.println(e);
        //        }
        //
    }
    
    private void setSizeVychozi() {
        setSize(640, 480);
    }
    
    
    
    private void vypisChybuKritickou(String ch) {
        setEnabled(false);
        setVisible(false);
        chyboveOkno.setDefaultCloseOperation(EXIT_ON_CLOSE);
        
        chyboveOkno.setTitle("Kritick chyba");
        chyboveOknoIkona.setIcon(new javax.swing.ImageIcon(getClass().getResource("/net/inteligentni/vyhled2/klient/obrazky/messagebox_critical.png")));
        chyboveOknoText.setText(ch);
        chyboveOkno.pack();
        chyboveOkno.setVisible(true);
    }
    
    private void vypisChybuVarovani(String ch) {
        setEnabled(false);
        chyboveOkno.setTitle("Varovn");
        chyboveOknoIkona.setIcon(new javax.swing.ImageIcon(getClass().getResource("/net/inteligentni/vyhled2/klient/obrazky/messagebox_warning.png")));
        chyboveOknoText.setText(ch);
        chyboveOkno.pack();
        chyboveOkno.setVisible(true);
        
    }
    
    private void vypisChybuInfo(String ch) {
        setEnabled(false);
        chyboveOkno.setTitle("Pro informaci");
        chyboveOknoIkona.setIcon(new javax.swing.ImageIcon(getClass().getResource("/net/inteligentni/vyhled2/klient/obrazky/messagebox_info.png")));
        chyboveOknoText.setText(ch);
        chyboveOkno.pack();
        chyboveOkno.setVisible(true);
        
    }
    
    private void vypisNaDolniListu(String text) {
        dolniLista.setText(" " + text);
    }
    
    public void pripojKServeru(String loginServer, String loginJmeno, String loginHeslo) {
        //ulome si pedan parametry
        setLoginServer(loginServer);
        setLoginJmeno(loginJmeno);
        setLoginHeslo(loginHeslo);
        
        
        //vyptome zstupceKlienta
        try {
            zastupceKlienta = new ZastupceKlienta(this);
            //System.out.println("ok");
            
        } catch (java.rmi.RemoteException e) {
            System.out.println("Chyba vytven zstupce klienta: " + e);
            //vypisChybuKritickou("Chyba" + e);
        }
        
        //pipojme se pes RMI
        try {
            
            // pipojme si tdu serveru
            server = (ServerRozhrani)java.rmi.Naming.lookup("rmi://" + getLoginServer() + ":1099/VyhledServer");
            
            //pipojme klienta na rmiregistry - klient je zrov serverem (na rovni RMI, ne na sov rovni)
            login.setRmiAdresaKlienta("rmi://" + getLoginServer() + ":1099/VyhledKlient_" + getLoginJmeno());            //System.out.println(getRmiAdresaKlienta());
            //login.setRmiAdresaKlienta("rmi://" + getLoginServer() + ":1099/VyhledKlient_" + getLoginJmeno() + System.currentTimeMillis());            //System.out.println(getRmiAdresaKlienta());
            Naming.rebind(login.getRmiAdresaKlienta(), zastupceKlienta);
            
            //zavolme metodu pro pihlen se na server.
            server.prihlasKlienta(login);
            
            
            
            
            
            //zobrazme hlavn okno
            setVisible(true);
            setEnabled(true);
            
            
        } catch (java.rmi.NotBoundException e) {
            vypisChybuKritickou("Nastala chyba pi pihlaovn k serveru \nNotBoundException\n" + e.toString());
        } catch (java.net.MalformedURLException e) {
            vypisChybuKritickou("Nastala chyba pi pihlaovn k serveru \nMalformedURLException\n" + e.toString());
        } catch (java.rmi.RemoteException e) {
            vypisChybuKritickou("Nastala chyba pi pihlaovn k serveru \nRemoteException\n" + e.toString());
        } catch (VyjimkaKriticka e) {
            vypisChybuKritickou("Nastala chyba pi pihlaovn k serveru \nVyjimkaKriticka\n" + e.toString());
        }
    }
    
    /**
     * Getter for property loginServer.
     * @return Value of property loginServer.
     */
    private String getLoginServer() {
        
        return this.loginServer;
    }
    
    /**
     * Setter for property loginServer.
     * @param loginServer New value of property loginServer.
     */
    private void setLoginServer(String loginServer) {
        
        this.loginServer = loginServer;
    }
    
    /**
     * Getter for property loginJmeno.
     * @return Value of property loginJmeno.
     */
    private String getLoginJmeno() {
        return login.getLogin();
    }
    
    /**
     * Setter for property loginJmeno.
     * @param loginJmeno New value of property loginJmeno.
     */
    private void setLoginJmeno(String loginJmeno) {
        
        login.setLogin(loginJmeno);
    }
    
    /**
     * Getter for property loginHeslo.
     * @return Value of property loginHeslo.
     */
    private String getLoginHeslo() {
        
        return login.getHeslo();
    }
    
    /**
     * Setter for property loginHeslo.
     * @param loginHeslo New value of property loginHeslo.
     */
    private void setLoginHeslo(String loginHeslo) {
        
        login.setHeslo(loginHeslo);
    }
    
    /**
     * Getter for property server.
     * @return Value of property server.
     */
    private ServerRozhrani getServer() {
        
        return this.server;
    }
    
    /**
     * Setter for property server.
     * @param server New value of property server.
     */
    private void setServer(ServerRozhrani server) {
        
        this.server = server;
    }
    
    
    
    
    /**
     * Getter for property vyhledDnes.
     * @return Value of property vyhledDnes.
     */
    private VyhledDnes getVyhledDnes() {
        
        return this.vyhledDnes;
    }
    
    /**
     * Setter for property vyhledDnes.
     * @param vyhledDnes New value of property vyhledDnes.
     */
    private void setVyhledDnes(VyhledDnes vyhledDnes) {
        
        this.vyhledDnes = vyhledDnes;
        obnovDnes();
    }
    
    
    
    
    private final class ZastupceKlienta extends java.rmi.server.UnicastRemoteObject implements KlientRozhrani{
        
        private KlientGUI klientGUI;
        
        public ZastupceKlienta(KlientGUI klientGUI) throws java.rmi.RemoteException {
            this.klientGUI = klientGUI;
            
        }
        
        
        public void vypisNaDolniListu(int klic, String text) throws java.rmi.RemoteException {
            klientGUI.vypisNaDolniListu(text);
        }
        
        public void setVyhledDnes(int klic, VyhledDnes d) throws java.rmi.RemoteException {
            klientGUI.setVyhledDnes(d);
        }
        
        public void obnovVyhledDnes(int klic) throws java.rmi.RemoteException {
            klientGUI.obnovDnes();
            
        }
        
        /**
         * Vzdlen metoda pro pijet doruench zprv ze serveru
         * kl je nhodn vygenerovan slo klientem pedan serveru pi pihlaovn
         * slou pro oven, e metodu klienta vol skuten server a ne nkdo jin
         */
        public void addZpravyDorucene(int klic, LinkedList zpravy) throws java.rmi.RemoteException {
            
            klientGUI.modelZpravyDorucene.AddZpravyDorucene(zpravy);
            tabulkaZpravy1Dorucene.repaint();
            
        }
        
        /**
         * Vzdlen metoda pro pijet odeslanch zprv ze serveru
         * kl je nhodn vygenerovan slo klientem pedan serveru pi pihlaovn
         * slou pro oven, e metodu klienta vol skuten server a ne nkdo jin
         */
        public void addZpravyOdeslane(int klic, LinkedList zpravy) throws java.rmi.RemoteException {
            klientGUI.modelZpravyOdeslane.AddZpravyOdeslane(zpravy);
            tabulkaZpravyOdeslane.repaint();
        }
        
        /**
         * Vzdlen metoda pro pijet kontakt ze serveru
         * kl je nhodn vygenerovan slo klientem pedan serveru pi pihlaovn
         * slou pro oven, e metodu klienta vol skuten server a ne nkdo jin
         */
        public void addKontakty(int klic, LinkedList kontakty) throws java.rmi.RemoteException {
            klientGUI.modelKontakty.AddKontakty(kontakty);
            tabulkaKontakty.repaint();
        }
        
        public void addKontaktyHledej(int klic, LinkedList kontakty) throws java.rmi.RemoteException {
            klientGUI.modelKontaktyHledat.setKontakty(kontakty);
            tabulkaKontakty.repaint();
        }
        
    }
    
    private void zobrazZpravu(String od, String komu, Date datum, String text) {
        cteciOknoZpravyOdesilatel.setText("Od: " + od);
        cteciOknoZpravyPrijemce.setText("Komu: " + komu);
        cteciOknoZpravyDatum.setText("Datum: " + datum.toString());
        cteciOknoZpravyText.setText(text);
        cteciOknoZpravy.setSize(320,240);
        cteciOknoZpravy.setVisible(true);
    }
    
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JFrame chyboveOkno;
    private javax.swing.JButton chyboveOknoBudiz;
    private javax.swing.JLabel chyboveOknoIkona;
    private javax.swing.JTextArea chyboveOknoText;
    private javax.swing.JFrame cteciOknoZpravy;
    private javax.swing.JLabel cteciOknoZpravyDatum;
    private javax.swing.JLabel cteciOknoZpravyOdesilatel;
    private javax.swing.JLabel cteciOknoZpravyPrijemce;
    private javax.swing.JTextArea cteciOknoZpravyText;
    private javax.swing.JLabel dolniLista;
    private javax.swing.JEditorPane htmlDnes;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JScrollPane jScrollPane3;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JSeparator jSeparator2;
    private javax.swing.JToolBar jToolBar1;
    private javax.swing.JToolBar jToolBar2;
    private javax.swing.JLabel labelKontaktyHledat;
    private javax.swing.JPanel panelDnes;
    private javax.swing.JPanel panelDolniLista;
    private javax.swing.JPanel panelKalendar;
    private javax.swing.JPanel panelKontakty;
    private javax.swing.JPanel panelKontakyHledat;
    private javax.swing.JPanel panelKontakyNovy;
    private javax.swing.JPanel panelKontakySeznam;
    private javax.swing.JPanel panelLide;
    private javax.swing.JPanel panelPosta;
    private javax.swing.JPanel panelPostaDorucena;
    private javax.swing.JPanel panelPostaNapsatNovou;
    private javax.swing.JPanel panelPostaNapsatNovouNahore;
    private javax.swing.JPanel panelPostaOdeslana;
    private javax.swing.JPopupMenu popupKontaktyZalozky;
    private javax.swing.JMenuItem popupKontaktyZalozkyNahore;
    private javax.swing.JMenuItem popupKontaktyZalozkyVlevo;
    private javax.swing.JPopupMenu popupOkno;
    private javax.swing.JMenuItem popupOknoMenuNahore;
    private javax.swing.JMenuItem popupOknoMenuVlevo;
    private javax.swing.JMenuItem popupOknoNapoveda;
    private javax.swing.JMenuItem popupOknoVychoziVelikost;
    private javax.swing.JPopupMenu popupPostaZalozky;
    private javax.swing.JMenuItem popupPostaZalozkyNahore;
    private javax.swing.JMenuItem popupPostaZalozkyVlevo;
    private javax.swing.JScrollPane scrollDnes;
    private javax.swing.JScrollPane scrollDorucena;
    private javax.swing.JScrollPane scrollKontaktyHledat;
    private javax.swing.JScrollPane scrollKontaktySeznam;
    private javax.swing.JScrollPane scrollOdeslana;
    private javax.swing.JTabbedPane tabPanel;
    private javax.swing.JTabbedPane tabPanelKontakty;
    private javax.swing.JTabbedPane tabPanelPosta;
    private javax.swing.JPanel tabPanelPostaDorucenaMenu;
    private javax.swing.JToolBar tabPanelPostaDorucenaMenuBar;
    private javax.swing.JTable tabulkaKontakty;
    private javax.swing.JTable tabulkaKontaktyHledat;
    private javax.swing.JTable tabulkaZpravy1Dorucene;
    private javax.swing.JTable tabulkaZpravyOdeslane;
    private javax.swing.JTextField textNovaZpravaKomu;
    private javax.swing.JTextField textNovaZpravaPredmet;
    private javax.swing.JTextArea textNoveZpravy;
    private javax.swing.JTextField textNovyKontaktKrestni;
    private javax.swing.JTextField textNovyKontaktLogin;
    private javax.swing.JTextField textNovyKontaktPrijmeni;
    private javax.swing.JTextField textNovyKontaktProstredni;
    private javax.swing.JTextField textNovyKontaktTelefon;
    private javax.swing.JButton tlacitkoCistDorucenouZpravu1;
    private javax.swing.JButton tlacitkoKontaktyHledat;
    private javax.swing.JButton tlacitkoNovaZpravaOdeslat;
    private javax.swing.JButton tlacitkoNovyKontakt;
    private javax.swing.JButton tlacitkoPrecistOdeslanou;
    private javax.swing.JButton tlacitkoSmazatDorucenouZpravu;
    private javax.swing.JButton tlacitkoSmazatKontakt;
    private javax.swing.JButton tlacitkoSmazatOdeslanou;
    private javax.swing.JToolBar toolBarDolniLista;
    private javax.swing.JToolBar toolbarKontaktyHledat;
    private javax.swing.JTextField vstupKontaktyHledat;
    // End of variables declaration//GEN-END:variables
    
}
