/*
 * Data.java
 *
 * Created on 3. duben 2005, 17:54
 */

package net.inteligentni.vyhled2.server;

import java.sql.*;
import java.text.StringCharacterIterator;
import java.util.LinkedList;
import net.inteligentni.vyhled2.KontaktHlavicka;
import net.inteligentni.vyhled2.KontaktTelo;
import net.inteligentni.vyhled2.Login;
import net.inteligentni.vyhled2.ZpravaHlavicka;
import net.inteligentni.vyhled2.ZpravaTelo;

/**
 * Toto je singelton tda pro pstup k databzi
 *
 * @author fiki
 */
public class Data {
    private static Data instance = null;
    
    private Connection connection;
    private Statement statement;
    
    /** preparedStatementy budou pouity a v dal verzi programu msto addslashes()
     * private PreparedStatement preparedStatementAddZpravaHlavicka;
     * private PreparedStatement preparedstatementAddZpravaTelo;
     * private PreparedStatement preparedstatementUlozKontakt;
     * private PreparedStatement preparedstatementIsExistujiciUzivatel;
     * private PreparedStatement preparedstatementIsLoginOK;
     * private PreparedStatement preparedstatementGetKontaktyHlavickyUzivateleHledej;
     */
    
    private LinkedList prihlaseniUzivatele = new LinkedList();
    
    
    
    /** Creates a new instance of Data */
    private Data() {
        try{
            
            Class.forName("com.mysql.jdbc.Driver");
            
            
        } catch (ClassNotFoundException e) {
            System.out.println("Ovlada k databzi nebyl nalezen: ");
            System.out.println(e);
            System.exit(1);
        }
        
        try {
            
            connection = DriverManager.getConnection("jdbc:mysql://localhost/vyhled2?useUnicode=true&characterEncoding=ISO8859_2","root","");
            
            
            statement = connection.createStatement();
            /**
             * preparedStatementAddZpravaHlavicka = connection.prepareStatement("INSERT INTO zpravaHlavicka " +
             * "(vlastnik, skupina, vlastnikCist, vlastnikPsat, skupinaCist, skupinaPsat, vsichniCist, vsichniPsat, datumOdeslani, datumServeru, datumPrecteni, odesilatel, predmet, prijemce, idTeloZpravy, slozka) " +
             * "VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)");
             * preparedstatementAddZpravaTelo = connection.prepareStatement("INSERT INTO zpravaTelo (text) VALUES (?)");
             * preparedstatementUlozKontakt = connection.prepareStatement("INSERT INTO kontakt " +
             * "(vlastnik, skupina, vlastnikCist, vlastnikPsat, skupinaCist, skupinaPsat, vsichniCist, vsichniPsat, datumServeru, login, jmenoKrestni, jmenoPrijmeni, jmenoProstredni, telefon) " +
             * "VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)");
             * preparedstatementIsExistujiciUzivatel = connection.prepareStatement("SELECT login FROM uzivatel WHERE login =?");
             * preparedstatementIsLoginOK = connection.prepareStatement("SELECT login FROM uzivatel WHERE login =?  AND heslo =?");
             * preparedstatementGetKontaktyHlavickyUzivateleHledej = connection.prepareStatement("SELECT * FROM kontakt WHERE vlastnik =? AND " +
             * "(jmenoKrestni LIKE %?% OR jmenoPrijmeni LIKE %?% OR jmenoProstredni LIKE %?% OR Login LIKE %?% OR telefon LIKE %?%)");
             */
            
            
        } catch (SQLException e) {
            System.out.println("Nepodailo se pipojit k databzi");
            System.out.println(e.getSQLState());
            System.exit(1);
            
        }
    }
    
    public static Data getInstance() {
        if (instance == null) {
            instance = new Data();
        }
        return instance;
    }
    
    public void odpoj() {
        try {
            if (connection != null) {
                connection.close();
            }
            instance = null;
        } catch (SQLException e) {
            System.out.println("Nepodailo se odpojit DB");
            System.out.println(e);
        }
    }
    
    /** Zkontroluje jmno a heslo, pokud je OK, vrt true a zaad uivatele mezi pihlen uivatele */
    public boolean isLoginOK(Login l) {
        
        l.setLogin(addSlashes(l.getLogin()));
        l.setHeslo(addSlashes(l.getHeslo()));
        
        try {
            //            preparedstatementIsLoginOK.setString(1, l.getLogin());
            //            preparedstatementIsLoginOK.setString(2, l.getHeslo());
            //
            //            ResultSet rs = preparedstatementIsLoginOK.executeQuery();
            ResultSet rs = statement.executeQuery("SELECT login FROM uzivatel WHERE login = '" + l.getLogin() + "' AND heslo = '" + l.getHeslo() + "'");
            rs.next();
            if (rs.getString("login").equalsIgnoreCase(l.getLogin())) {
                prihlasUzivatele(l);
                System.out.println("Uivatel byl spn oven");
                return true;
            } else {
                return false;
            }
        } catch (SQLException e) {
            System.out.println("Chyba SQL pi ovovn uivatele:");
            System.out.println(e.getSQLState());
            return false;
            
        }
        
    }
    
    
    /** Zjist, jestli v systmu existuje uivatel s tmto uivatelskm jmnem */
    public boolean isExistujiciUzivatel(String login) {
        
        login = addSlashes(login);
        
        try {
            //            preparedstatementIsExistujiciUzivatel.setString(1, login);
            
            ResultSet rs = statement.executeQuery("SELECT login FROM uzivatel WHERE login = '" + login + "'");
            //            ResultSet rs = preparedstatementIsExistujiciUzivatel.executeQuery();
            
            rs.next();
            if (rs.getString("login").equalsIgnoreCase(login)) {
                System.out.println("Uivatel " + login + " existuje");
                return true;
            } else {
                System.out.println("Uivatel " + login + " neexistuje");
                return false;
            }
        } catch (SQLException e) {
            System.out.println("Chyba SQL pi ovovn existence uivatele:");
            System.out.println(e.getSQLState());
            return false;
            
        }
        
    }
    
    public boolean isUzivatelPrihlasen(Login l) {
        if(prihlaseniUzivatele.contains(l)) {
            return true;
        } else {
            return false;
        }
        
    }
    
    private void prihlasUzivatele(Login l) {
        if(!prihlaseniUzivatele.contains(l)) {
            prihlaseniUzivatele.add(l);
        }
        
    }
    
    public LinkedList getZpravyHlavickyDoruceneUzivatele(String login) {
        LinkedList ll = new LinkedList();
        
        try {
            statement.executeQuery("SELECT * FROM zpravaHlavicka WHERE prijemce = '" + login + "' AND " + "vlastnik = '" + login + "'");
            ResultSet rs = statement.getResultSet();
            
            ZpravaHlavicka z;
            while (rs.next()) {
                z = new ZpravaHlavicka();
                
                
                z.setCitelnaSkupinou(rs.getBoolean("skupinaCist"));
                z.setCitelnaVlasnikem(rs.getBoolean("vlastnikCist"));
                z.setCitelnaVsemi(rs.getBoolean("vsichniCist"));
                z.setDatumOdeslaniKlientem(rs.getLong("datumOdeslani"));
                z.setDatumPrecteniPrijemcem(rs.getLong("datumPrecteni"));
                z.setDatumVytvoreniNaServeru(rs.getLong("datumServeru"));
                z.setId(rs.getInt("id"));
                z.setOdesilatel(rs.getString("odesilatel"));
                z.setPredmet(rs.getString("predmet"));
                z.setPrijemce(rs.getString("prijemce"));
                z.setSkupina(rs.getString("skupina"));
                z.setTeloZpravy(rs.getInt("idTeloZpravy"));
                z.setVlastnik(rs.getString("vlastnik"));
                z.setZapisovatelnaSkupinou(rs.getBoolean("skupinaPsat"));
                z.setZapisovatelnaVlastnikem(rs.getBoolean("vlastnikPsat"));
                z.setZapisovatelnaVsemi(rs.getBoolean("vsichniPsat"));
                
                ll.add(z);
            }
            
            
        } catch (SQLException e) {
            System.out.println("Chyba pi Data.getZpravyHlavickyDoruceneUzivatele");
            System.out.println(e.getSQLState());
        }
        
        return ll;
    }
    
    
    public LinkedList getZpravyHlavickyOdeslaneUzivatele(String login) {
        LinkedList ll = new LinkedList();
        
        try {
            statement.executeQuery("SELECT * FROM zpravaHlavicka WHERE odesilatel = '" + login + "' AND " + "vlastnik = '" + login + "'");
            ResultSet rs = statement.getResultSet();
            
            ZpravaHlavicka z;
            while (rs.next()) {
                z = new ZpravaHlavicka();
                
                
                z.setCitelnaSkupinou(rs.getBoolean("skupinaCist"));
                z.setCitelnaVlasnikem(rs.getBoolean("vlastnikCist"));
                z.setCitelnaVsemi(rs.getBoolean("vsichniCist"));
                z.setDatumOdeslaniKlientem(rs.getLong("datumOdeslani"));
                z.setDatumPrecteniPrijemcem(rs.getLong("datumPrecteni"));
                z.setDatumVytvoreniNaServeru(rs.getLong("datumServeru"));
                z.setId(rs.getInt("id"));
                z.setOdesilatel(rs.getString("odesilatel"));
                z.setPredmet(rs.getString("predmet"));
                z.setPrijemce(rs.getString("prijemce"));
                z.setSkupina(rs.getString("skupina"));
                z.setTeloZpravy(rs.getInt("idTeloZpravy"));
                z.setVlastnik(rs.getString("vlastnik"));
                z.setZapisovatelnaSkupinou(rs.getBoolean("skupinaPsat"));
                z.setZapisovatelnaVlastnikem(rs.getBoolean("vlastnikPsat"));
                z.setZapisovatelnaVsemi(rs.getBoolean("vsichniPsat"));
                
                ll.add(z);
            }
            
            
        } catch (SQLException e) {
            System.out.println("Chyba pi Data.getZpravyHlavickyOdeslaneUzivatele");
            System.out.println(e.getSQLState());
        }
        
        return ll;
    }
    
    public LinkedList getKontaktyHlavickyUzivatele(String login) {
        LinkedList ll = new LinkedList();
        
        try {
            statement.executeQuery("SELECT * FROM kontakt WHERE vlastnik = '" + login + "'");
            ResultSet rs = statement.getResultSet();
            
            KontaktHlavicka k;
            while (rs.next()) {
                k = new KontaktHlavicka();
                
                k.setId(rs.getInt("id"));
                k.setCitelnaSkupinou(rs.getBoolean("skupinaCist"));
                k.setCitelnaVlasnikem(rs.getBoolean("vlastnikCist"));
                k.setCitelnaVsemi(rs.getBoolean("vsichniCist"));
                k.setIdLogin(rs.getString("login"));
                k.setJmenoKrestni(rs.getString("jmenoKrestni"));
                k.setJmenoPrijmeni(rs.getString("jmenoPrijmeni"));
                k.setJmenoProstredni(rs.getString("jmenoProstredni"));
                k.setSkupina(rs.getString("skupina"));
                k.setVlastnik(rs.getString("vlastnik"));
                k.setZapisovatelnaSkupinou(rs.getBoolean("skupinaPsat"));
                k.setZapisovatelnaVlastnikem(rs.getBoolean("vlastnikPsat"));
                k.setZapisovatelnaVsemi(rs.getBoolean("vsichniPsat"));
                k.setTelefon(rs.getString("telefon"));
                
                ll.add(k);
            }
            
            
        } catch (SQLException e) {
            System.out.println("Chyba pi Data.getKontaktyHlavickyUzivatele");
            System.out.println(e.getSQLState());
        }
        
        return ll;
    }
    
    public LinkedList getKontaktyHlavickyUzivateleHledej(String login, String hledej) {
        LinkedList ll = new LinkedList();
        
        hledej = addSlashes(hledej);
        
        try {
            //hledej = "%" + hledej + "%";
            //            preparedstatementGetKontaktyHlavickyUzivateleHledej.setString(1, login);
            //            preparedstatementGetKontaktyHlavickyUzivateleHledej.setString(2, hledej);
            //            preparedstatementGetKontaktyHlavickyUzivateleHledej.setString(3, hledej);
            //            preparedstatementGetKontaktyHlavickyUzivateleHledej.setString(4, hledej);
            //            preparedstatementGetKontaktyHlavickyUzivateleHledej.setString(5, hledej);
            //            preparedstatementGetKontaktyHlavickyUzivateleHledej.setString(6, hledej);
            //
            //            preparedstatementGetKontaktyHlavickyUzivateleHledej.executeQuery();
            
            
            
            statement.executeQuery("SELECT * FROM kontakt WHERE vlastnik = '" + login + "' AND " +
                    "(jmenoKrestni LIKE '%" + hledej + "%' OR jmenoPrijmeni LIKE '%" + hledej + "%' OR jmenoProstredni LIKE '%" + hledej + "%' OR Login LIKE '%" + hledej + "%' OR telefon LIKE '%" + hledej + "%')");
            ResultSet rs = statement.getResultSet();
            
            KontaktHlavicka k;
            while (rs.next()) {
                k = new KontaktHlavicka();
                
                k.setId(rs.getInt("id"));
                k.setCitelnaSkupinou(rs.getBoolean("skupinaCist"));
                k.setCitelnaVlasnikem(rs.getBoolean("vlastnikCist"));
                k.setCitelnaVsemi(rs.getBoolean("vsichniCist"));
                k.setIdLogin(rs.getString("login"));
                k.setJmenoKrestni(rs.getString("jmenoKrestni"));
                k.setJmenoPrijmeni(rs.getString("jmenoPrijmeni"));
                k.setJmenoProstredni(rs.getString("jmenoProstredni"));
                k.setSkupina(rs.getString("skupina"));
                k.setVlastnik(rs.getString("vlastnik"));
                k.setZapisovatelnaSkupinou(rs.getBoolean("skupinaPsat"));
                k.setZapisovatelnaVlastnikem(rs.getBoolean("vlastnikPsat"));
                k.setZapisovatelnaVsemi(rs.getBoolean("vsichniPsat"));
                k.setTelefon(rs.getString("telefon"));
                
                ll.add(k);
            }
            
            
        } catch (SQLException e) {
            System.out.println("Chyba pi Data.getKontaktyHlavickyUzivateleHledej");
            System.out.println(e.getSQLState());
        }
        
        return ll;
    }
    
    
    /** Ulo tlo zprvy a 2x hlaviku zprvy do databze - jednou pro odeslatele, podruh pro pjemce */
    public int ulozZpravu(ZpravaHlavicka hlavicka, ZpravaTelo telo) {
        
        // vlome tlo zprvy a nastavme odkaz z hlaviky na id tla zprvy
        int idTelo = addZpravaTelo(telo);
        hlavicka.setTeloZpravy(idTelo);
        hlavicka.setSlozka("/");
        
        //vlome hlaviku zprvy pro odeslatele
        hlavicka.setVlastnik(hlavicka.getOdesilatel());
        hlavicka.setSkupina(hlavicka.getOdesilatel());
        addZpravaHlavicka(hlavicka);
        
        
        
        //vlome hlaviku zprvy pro pjemce
        hlavicka.setVlastnik(hlavicka.getPrijemce());
        hlavicka.setSkupina(hlavicka.getPrijemce());
        addZpravaHlavicka(hlavicka);
        
        return idTelo;
        
        
    }
    
    public ZpravaTelo getZpravaTelo(int id, String vlastnik) {
        String text = "";
        try {
            statement.executeQuery("SELECT * FROM zpravaTelo WHERE id = " + id);
            ResultSet rs = statement.getResultSet();
            if (rs.next()) {
                text = rs.getString("text");
            }
            
        } catch (SQLException e) {
            System.out.println("Chyba pi Data.getZpravaTelo");
            System.out.println(e.getSQLState());
        }
        return new ZpravaTelo(text);
    }
    
    public Login getLogin(String uzivatel) {
        for (int i = 0; i < prihlaseniUzivatele.size(); i ++) {
            if (uzivatel.equalsIgnoreCase(((Login)prihlaseniUzivatele.get(i)).getLogin())) {
                return (Login)prihlaseniUzivatele.get(i);
            }
            
        }
        
        //System.out.println("Data.getLogin: uivatel " + uzivatel + " pravdpodobn nen pihlen");
        return null;
    }
    
    public void smazZpravu(int id, String vlastnik) {
        try {
            statement.executeUpdate("DELETE FROM zpravaHlavicka WHERE id = " + id +  " AND vlastnik = '" + vlastnik + "' LIMIT 1");
        } catch (SQLException e) {
            System.out.println("Chyba pi Data.smazZpravu");
            System.out.println(e.getSQLState());
        }
    }
    
    public void smazKontakt(int id, String vlastnik) {
        try {
            statement.executeUpdate("DELETE FROM kontakt WHERE id = " + id +  " AND vlastnik = '" + vlastnik + "' LIMIT 1");
        } catch (SQLException e) {
            System.out.println("Chyba pi Data.smazKontakt");
            System.out.println(e.getSQLState());
        }
    }
    
    private void addZpravaHlavicka(ZpravaHlavicka zh) {
        
        zh.setPredmet(addSlashes(zh.getPredmet()));
        zh.setPrijemce(addSlashes(zh.getPrijemce()));
        
        try {
            //vlastnik, skupina, vlastnikCist, vlastnikPsat, skupinaCist,
            //skupinaPsat, vsichniCist, vsichniPsat, datumOdeslani, datumServeru,
            //datumPrecteni, odesilatel, predmet, prijemce, idTeloZpravy, slozka
            
            
            //            preparedStatementAddZpravaHlavicka.setString(1, zh.getVlastnik());
            //            preparedStatementAddZpravaHlavicka.setString(2, zh.getSkupina());
            //
            //            preparedStatementAddZpravaHlavicka.setInt(3, 0);
            //            preparedStatementAddZpravaHlavicka.setInt(4, 0);
            //            preparedStatementAddZpravaHlavicka.setInt(5, 0);
            //            preparedStatementAddZpravaHlavicka.setInt(6, 0);
            //            preparedStatementAddZpravaHlavicka.setInt(7, 0);
            //            preparedStatementAddZpravaHlavicka.setInt(8, 0);
            
            //            preparedStatementAddZpravaHlavicka.setBoolean(3, zh.isCitelnaVlasnikem());
            //            preparedStatementAddZpravaHlavicka.setBoolean(4, zh.isZapisovatelnaVlastnikem());
            //            preparedStatementAddZpravaHlavicka.setBoolean(5, zh.isCitelnaSkupinou());
            //            preparedStatementAddZpravaHlavicka.setBoolean(6, zh.isZapisovatelnaSkupinou());
            //            preparedStatementAddZpravaHlavicka.setBoolean(7, zh.isCitelnaVsemi());
            //            preparedStatementAddZpravaHlavicka.setBoolean(8, zh.isZapisovatelnaVsemi());
            
            //            preparedStatementAddZpravaHlavicka.setLong(9, zh.getDatumOdeslaniKlientem().getTime());
            //            preparedStatementAddZpravaHlavicka.setLong(10, zh.getDatumVytvoreniNaServeru().getTime());
            //            preparedStatementAddZpravaHlavicka.setLong(11, zh.getDatumPrecteniPrijemcem().getTime());
            //            preparedStatementAddZpravaHlavicka.setString(12, zh.getOdesilatel());
            //            preparedStatementAddZpravaHlavicka.setString(13, zh.getPredmet());
            //            preparedStatementAddZpravaHlavicka.setString(14, zh.getPrijemce());
            //            preparedStatementAddZpravaHlavicka.setInt(15, zh.getTeloZpravy());
            //            preparedStatementAddZpravaHlavicka.setString(16, zh.getSlozka());
            //
            //            preparedStatementAddZpravaHlavicka.executeQuery();
            
            statement.executeUpdate("INSERT INTO zpravaHlavicka " +
                    "(id, vlastnik, skupina, vlastnikCist, vlastnikPsat, skupinaCist, skupinaPsat, vsichniCist, vsichniPsat, datumOdeslani, datumServeru, datumPrecteni, odesilatel, predmet, prijemce, idTeloZpravy, slozka) " +
                    "VALUES (" + "'" + zh.getId() + "'," + "'" + zh.getVlastnik() + "'," + "'" + zh.getSkupina() + "'," + "'" + zh.isCitelnaVlasnikem() + "'," + "'" + zh.isZapisovatelnaVlastnikem() + "'," + "'" + zh.isCitelnaSkupinou() + "'," + "'" + zh.isZapisovatelnaSkupinou() + "'," + "'" + zh.isCitelnaVsemi() + "'," + "'" + zh.isZapisovatelnaVsemi() + "'," + "'" + zh.getDatumOdeslaniKlientem().getTime() + "'," + "'" + zh.getDatumVytvoreniNaServeru().getTime() + "'," + "'" + zh.getDatumPrecteniPrijemcem().getTime() + "'," + "'" + zh.getOdesilatel() + "'," + "'" + zh.getPredmet() + "'," + "'" + zh.getPrijemce() + "'," + "'" + zh.getTeloZpravy() + "'," + "'" + zh.getSlozka() + "'" + ")");
        } catch (SQLException e) {
            System.out.println("Chyba pi Data.addZpravaHlavicka");
            System.out.println(e.getSQLState());
        }
    }
    
    private int addZpravaTelo(ZpravaTelo zt) {
        int idTelo = -1; // id tla zprvy v databzi, pouije se pi odkazovn z hlaviky
        
        zt.setText(addSlashes(zt.getText()));
        
        try {
            //            preparedstatementAddZpravaTelo.setString(1, zt.getText());
            //            preparedstatementAddZpravaTelo.executeUpdate();
            statement.executeUpdate("INSERT INTO zpravaTelo (text) VALUES ('" + zt.getText() + "')");
            ResultSet rs = statement.getGeneratedKeys();
            if(rs.next()){
                idTelo = rs.getInt(1);
            } else {
                System.out.println("Chyba pi Data.ulozZpravu 1 - tlo");
            }
            
        } catch (SQLException e) {
            System.out.println("Chyba pi Data.ulozZpravu 2 - tlo");
            System.out.println(e.getSQLState());
        }
        
        return idTelo;
    }
    
    
    public void ulozKontakt(KontaktHlavicka kh, KontaktTelo kt) {
        
        kh.setIdLogin(addSlashes(kh.getIdLogin()));
        kh.setJmenoKrestni(addSlashes(kh.getJmenoKrestni()));
        kh.setJmenoProstredni(addSlashes(kh.getJmenoProstredni()));
        kh.setJmenoPrijmeni(addSlashes(kh.getJmenoPrijmeni()));
        kh.setTelefon(addSlashes(kh.getTelefon()));
        
        try {
            
            
            //            preparedstatementUlozKontakt.setString(1, kh.getVlastnik());
            //            preparedstatementUlozKontakt.setString(2, kh.getSkupina());
            //
            //            preparedStatementAddZpravaHlavicka.setInt(3, 0);
            //            preparedStatementAddZpravaHlavicka.setInt(4, 0);
            //            preparedStatementAddZpravaHlavicka.setInt(5, 0);
            //            preparedStatementAddZpravaHlavicka.setInt(6, 0);
            //            preparedStatementAddZpravaHlavicka.setInt(7, 0);
            //            preparedStatementAddZpravaHlavicka.setInt(8, 0);
            //
            ////            preparedstatementUlozKontakt.setBoolean(3, kh.isCitelnaVlasnikem());
            ////            preparedstatementUlozKontakt.setBoolean(4, kh.isZapisovatelnaVlastnikem());
            ////            preparedstatementUlozKontakt.setBoolean(5, kh.isCitelnaSkupinou());
            ////            preparedstatementUlozKontakt.setBoolean(6, kh.isZapisovatelnaSkupinou());
            ////            preparedstatementUlozKontakt.setBoolean(7, kh.isCitelnaVsemi());
            ////            preparedstatementUlozKontakt.setBoolean(8, kh.isZapisovatelnaVsemi());
            //
            //            preparedstatementUlozKontakt.setLong(9, kh.getDatumServeru().getTime());
            //            preparedstatementUlozKontakt.setString(10, kh.getIdLogin());
            //            preparedstatementUlozKontakt.setString(11, kh.getJmenoKrestni());
            //            preparedstatementUlozKontakt.setString(12, kh.getJmenoPrijmeni());
            //            preparedstatementUlozKontakt.setString(13, kh.getJmenoProstredni());
            //            preparedstatementUlozKontakt.setString(14, kh.getTelefon());
            //
            //            preparedstatementUlozKontakt.executeUpdate();
            
            statement.executeUpdate("INSERT INTO kontakt " +
                    "(vlastnik, skupina, vlastnikCist, vlastnikPsat, skupinaCist, skupinaPsat, vsichniCist, vsichniPsat, datumServeru, login, jmenoKrestni, jmenoPrijmeni, jmenoProstredni, telefon) " +
                    "VALUES (" + "'" + kh.getVlastnik() + "'," + "'" + kh.getSkupina() + "'," + "'" + kh.isCitelnaVlasnikem() + "'," + "'" + kh.isZapisovatelnaVlastnikem() + "'," + "'" + kh.isCitelnaSkupinou() + "'," + "'" + kh.isZapisovatelnaSkupinou() + "'," + "'" + kh.isCitelnaVsemi() + "'," + "'" + kh.isZapisovatelnaVsemi() + "',"  + "'" + kh.getDatumServeru().getTime() + "'," + "'" + kh.getIdLogin() + "'," + "'" + kh.getJmenoKrestni() + "'," + "'" + kh.getJmenoPrijmeni() + "'," + "'" + kh.getJmenoProstredni() + "'," + "'" + kh.getTelefon() + "'" + ")");
            
            
        } catch (SQLException e) {
            System.out.println("Chyba pi Data.ulozKontakt");
            System.out.println(e.getSQLState());
        }
        
        
        
    }
    
    private static String addSlashes(String text) {
        final StringBuffer sb = new StringBuffer( text.length() * 2 );
        final StringCharacterIterator iterator = new StringCharacterIterator( text );
        
        char character = iterator.current();
        
        while( character != StringCharacterIterator.DONE ){
            if( character == '"' ) sb.append( "\\\"" );
            else if( character == '\'' ) sb.append( "\\\'" );
            else if( character == '\\' ) sb.append( "\\\\" );
            else if( character == '\n' ) sb.append( "\\n" );
            else if( character == '{' ) sb.append( "\\{" );
            else if( character == '}' ) sb.append( "\\}" );
            else sb.append( character );
            
            character = iterator.next();
        }
        
        return sb.toString();
    }
    
    
}


