/*
 * Server.java
 *
 * Created on 21. bezen 2005, 17:19
 */

package net.inteligentni.vyhled2.server;

import java.rmi.Naming;
import java.util.LinkedList;
import net.inteligentni.vyhled2.KlientRozhrani;
import net.inteligentni.vyhled2.KontaktHlavicka;
import net.inteligentni.vyhled2.KontaktTelo;
import net.inteligentni.vyhled2.Login;
import net.inteligentni.vyhled2.ServerRozhrani;
import net.inteligentni.vyhled2.VyhledDnes;
import net.inteligentni.vyhled2.VyjimkaKriticka;
import net.inteligentni.vyhled2.ZpravaHlavicka;
import net.inteligentni.vyhled2.ZpravaTelo;



/*
 *
 * @author fiki
 */
public class Server extends java.rmi.server.UnicastRemoteObject implements ServerRozhrani {
    
    private int prihlaseniKlienti;
    //private KlientRozhrani klient;
    
    
    
    
    /** Creates a new instance of Server */
    public Server() throws java.rmi.RemoteException {
        Data.getInstance();
    }
    
    public void prihlasKlienta(Login l) throws java.rmi.RemoteException, VyjimkaKriticka {
        KlientRozhrani klient;
        //throw new VyjimkaKriticka("patn jmno nebo heslo");
        try {
            klient = (KlientRozhrani)java.rmi.Naming.lookup(l.getRmiAdresaKlienta());
            
            
            
            // otestujeme jmno a heslo, metoda isLoginOK zrove pid uivatele na seznam pihlench
            if (!Data.getInstance().isLoginOK(l)) {
                throw new VyjimkaKriticka("patn jmno nebo heslo");
            } else {
                
                
                // poleme mu doruen zprvy
                klient.addZpravyDorucene(l.getKlic(), Data.getInstance().getZpravyHlavickyDoruceneUzivatele(l.getLogin()));
                
                //poleme mu odeslan zprvy
                klient.addZpravyOdeslane(l.getKlic(), Data.getInstance().getZpravyHlavickyOdeslaneUzivatele(l.getLogin()));
                
                // poleme mu kontakty
                klient.addKontakty(l.getKlic(), Data.getInstance().getKontaktyHlavickyUzivatele(l.getLogin()));
                
                // vypeme, e je pihlen a zobrazme VhledDnes
                klient.setVyhledDnes(l.getKlic(), new VyhledDnes());
                klient.vypisNaDolniListu(0, "Vtej v systmu - jsi pihlen jako '" + l.getLogin() + "'");
                
            }
            
            
            
        } catch (java.rmi.NotBoundException e){
            System.out.println("selhalo spojen s klientem: " + e);
            throw new VyjimkaKriticka("Selhalo pihlaovn");
        } catch (java.net.MalformedURLException e) {
            System.out.println("selhalo spojen s klientem: " + e);
            throw new VyjimkaKriticka("Selhalo pihlaovn");
        }
    }
    
    public void pridejKontakt(Login l, KontaktHlavicka kh, KontaktTelo kt) throws java.rmi.RemoteException, VyjimkaKriticka {
        if (Data.getInstance().isLoginOK(l)) {
            
            
            kh.setDatumServeru(System.currentTimeMillis());
            kh.setVlastnik(l.getLogin());
            Data.getInstance().ulozKontakt(kh, kt);
            try {
                KlientRozhrani klient = (KlientRozhrani)java.rmi.Naming.lookup(Data.getInstance().getLogin(l.getLogin()).getRmiAdresaKlienta());
                LinkedList ll = new LinkedList();
                ll.add(kh);
                klient.addKontakty(l.getKlic(), ll);
            } catch (Exception e) {
                System.out.println("Selhalo: Server.pridejKontakt");
                e.printStackTrace();
            }
        }
    }
    
    public void posliZpravu(Login l, ZpravaHlavicka zh, ZpravaTelo zt) throws java.rmi.RemoteException, VyjimkaKriticka {
        KlientRozhrani klient;
        if (Data.getInstance().isLoginOK(l)) {
            
            
            // TODO pouvat sprvn data, ne jen serveru
            zh.setDatumVytvoreniNaServeru(System.currentTimeMillis());
            zh.setDatumOdeslaniKlientem(System.currentTimeMillis());
            zh.setDatumPrecteniPrijemcem(System.currentTimeMillis());
            
            zh.setOdesilatel(l.getLogin()); //aby nemohl nikdo poslat zprvy pod cizm jmnem
            int idTelo = Data.getInstance().ulozZpravu(zh, zt);
            
            LinkedList ll = new LinkedList();
            //poleme zprvu odesalteli
            try {
                klient = (KlientRozhrani)java.rmi.Naming.lookup(Data.getInstance().getLogin(l.getLogin()).getRmiAdresaKlienta());
                
                zh.setTeloZpravy(idTelo);
                ll.add(zh);
                klient.addZpravyOdeslane(l.getKlic(), ll);
            } catch (Exception e) {
                System.out.println("Chyba: Server.posliZpravu: zprvu se nepodailo doruit odeslateli");
                
            }
            
            //poleme zprvu pjemci
            try {
                klient = (KlientRozhrani)java.rmi.Naming.lookup(Data.getInstance().getLogin(zh.getPrijemce()).getRmiAdresaKlienta());
                ll = new LinkedList();
                zh.setTeloZpravy(idTelo);
                ll.add(zh);
                klient.addZpravyDorucene(l.getKlic(), ll);
            } catch (Exception e) {
                System.out.println("Server.posliZpravu: zprvu se nepodailo doruit pjemci - pjemce nen pihlen - zprva byla uloena a bude doruena hned, jak to bude mon");
                //e.printStackTrace();
            }
        }
    }
    
    public ZpravaTelo getZpravaTelo(Login l, int idZpravaHlavicka) throws java.rmi.RemoteException, VyjimkaKriticka {
        if (Data.getInstance().isLoginOK(l)) {
            
            return Data.getInstance().getZpravaTelo(idZpravaHlavicka, l.getLogin());
        } else {
            return null;
        }
    }
    
    public KontaktTelo getKontaktTelo(Login l, int idKontaktHlavicka) throws java.rmi.RemoteException, VyjimkaKriticka {
        
        return new KontaktTelo();
    }
    
    public void smazZpravu(Login l, int idZpravaHlavicka) throws java.rmi.RemoteException, VyjimkaKriticka {
        if (Data.getInstance().isLoginOK(l)) {
            
            Data.getInstance().smazZpravu(idZpravaHlavicka, l.getLogin());
        }
    }
    
    public void smazKontakt(Login l, int idKontaktHlavicka) throws java.rmi.RemoteException, VyjimkaKriticka {
        if (Data.getInstance().isLoginOK(l)) {
            
            Data.getInstance().smazKontakt(idKontaktHlavicka, l.getLogin());
        }
    }
    
    
    
    
    public static void main(String[] args) {
        try {
            ServerRozhrani s = new Server();
            Naming.rebind("rmi://localhost:1099/VyhledServer", s);
            System.out.println("Vhled: Server sputn.");
        } catch (Exception e){
            System.out.println(e);
        }
    }
    
    public boolean isKomuOK(Login l, String komu) throws java.rmi.RemoteException {
        if (Data.getInstance().isLoginOK(l)) {
            
            return Data.getInstance().isExistujiciUzivatel(komu);
        } else {
            
            return false;
        }
        
    }
    
    public void hledejKontakt(Login l, String hledej) throws java.rmi.RemoteException, VyjimkaKriticka {
        if (Data.getInstance().isLoginOK(l)) {
            try {
                KlientRozhrani klient = (KlientRozhrani)java.rmi.Naming.lookup(l.getRmiAdresaKlienta());
                
                klient.addKontaktyHledej(l.getKlic(), Data.getInstance().getKontaktyHlavickyUzivateleHledej(l.getLogin(), hledej));
            } catch (Exception e) {
                System.out.println("Server.posliZpravu: zprvu se nepodailo doruit pjemci - pjemce nen pihlen - zprva byla uloena a bude doruena hned, jak to bude mon");
                e.printStackTrace();
            }
        }
        
    }
    
    
    
}
