/*
 * DataTest.java
 * JUnit based test
 *
 * Created on 4. duben 2005, 9:58
 */

package net.inteligentni.vyhled2.server;

import junit.framework.*;
import java.sql.*;
import java.util.LinkedList;
import net.inteligentni.vyhled2.Login;
import net.inteligentni.vyhled2.ZpravaHlavicka;
import net.inteligentni.vyhled2.ZpravaTelo;

/**
 *
 * @author fiki
 */
public class DataTest extends TestCase {
    Data data;
    
    public DataTest(String testName) {
        super(testName);
    }
    
    protected void setUp() throws java.lang.Exception {
        data = Data.getInstance();
    }
    
    protected void tearDown() throws java.lang.Exception {
    }
    
    public static junit.framework.Test suite() {
        junit.framework.TestSuite suite = new junit.framework.TestSuite(DataTest.class);
        
        return suite;
    }
    
    /**
     * Test of getInstance method, of class net.inteligentni.vyhled2.server.Data.
     */
    public void testGetInstance() {
        System.out.println("testGetInstance");
        
        if (Data.getInstance() != Data.getInstance()) {
            fail("Tda Data nen singelton");
        }
        
        
        
    }
    
    /**
     * Test of odpoj method, of class net.inteligentni.vyhled2.server.Data.
     */
    public void testOdpoj() {
        System.out.println("testOdpoj");
        
        Data.getInstance().odpoj();
        
    }
    
    /**
     * Test of isLoginOK method, of class net.inteligentni.vyhled2.server.Data.
     */
    public void testIsLoginOK() {
        System.out.println("testIsLoginOK");
        Login l = new Login();
        l.setLogin("franta");
        l.setHeslo("heslo");
        
        if (!Data.getInstance().isLoginOK(l)) {
            fail("Selhalo pihlen sprvnho uivatele");
            
        }
        
        
        
        l.setLogin("teXXXst");
        l.setHeslo("test");
        
        if (Data.getInstance().isLoginOK(l)) {
            fail("Podailo se pihlsit neexistujcho uivatele");
            
        }
        
        l.setLogin("test");
        l.setHeslo("teXXXst");
        
        if (Data.getInstance().isLoginOK(l)) {
            fail("Podailo se pihlsit neexistujcho uivatele");
            
        }
        
        
    }
    
    /**
     * Test of isUzivatelPrihlasen method, of class net.inteligentni.vyhled2.server.Data.
     */
    public void testIsUzivatelPrihlasen() {
        System.out.println("testIsUzivatelPrihlasen");
        
        Login l = new Login();
         
        l.setLogin("franta");
        l.setHeslo("heslo");
        
        Data.getInstance().isLoginOK(l);
        
        if (!Data.getInstance().isUzivatelPrihlasen(l)) {
            fail("Selhalo oven pihlen pihlenho uivatele");
            
        }
           
              Login l2 = new Login();
         
        l2.setLogin("frXXXanta");
        l2.setHeslo("heslo");
        
        if (Data.getInstance().isUzivatelPrihlasen(l2)) {
            fail("Je pihlen neexistujc uivatel");
            
        }
        
        
        
        
    }

    /**
     * Test of getZpravyHlavickyDoruceneUzivatele method, of class net.inteligentni.vyhled2.server.Data.
     */
    public void testGetZpravyHlavickyDoruceneUzivatele() {
        System.out.println("testGetZpravyHlavickyDoruceneUzivatele");
        
        // TODO add your test code below by replacing the default call to fail.
        LinkedList z = data.getInstance().getZpravyHlavickyDoruceneUzivatele("franta");
        for (int i = 0; i < z.size(); i ++) {
            System.out.println(((ZpravaHlavicka)z.get(i)).getPredmet());
        }
        //fail("The test case is empty.");
    }

    /**
     * Test of ulozZpravu method, of class net.inteligentni.vyhled2.server.Data.
     */
    public void testUlozZpravu() {
        System.out.println("testUlozZpravu");
        ZpravaTelo zt = new ZpravaTelo();
        //zt.setText("Z\u00e1lo\u017eky naho\u0159e");
        zt.setText("etina u funguje sprvn");
        Data.getInstance().ulozZpravu(new ZpravaHlavicka(), zt);
        
        // TODO add your test code below by replacing the default call to fail.
        //fail("The test case is empty.");
    }

    /**
     * Test of getZpravaTelo method, of class net.inteligentni.vyhled2.server.Data.
     */
    public void testGetZpravaTelo() {
        System.out.println("testGetZpravaTelo");
        
        System.out.println(Data.getInstance().getZpravaTelo(3, "franta").getText());
        
        // TODO add your test code below by replacing the default call to fail.
        //fail("The test case is empty.");
    }
    
    
    
}
